package com.bzd.system.service.spgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店经营目录 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SSpglMdjymlStoreproductinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSSpglMdjymlStoreproductinfo(PageData pd)throws Exception {
        return daoSupport.update("SSpglMdjymlStoreproductinfoMapper.addSSpglMdjymlStoreproductinfo", pd);
    }

    public List<PageData> findSSpglMdjymlStoreproductinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SSpglMdjymlStoreproductinfoMapper.selectSSpglMdjymlStoreproductinfoList", pd);
    }

    public Integer SSpglMdjymlStoreproductinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SSpglMdjymlStoreproductinfoMapper.SSpglMdjymlStoreproductinfoRemove", pd);
    }


    public Integer updateSSpglMdjymlStoreproductinfo(PageData pd)throws Exception {
        return daoSupport.update("SSpglMdjymlStoreproductinfoMapper.updateSSpglMdjymlStoreproductinfo", pd);
    }

}
